---
- divergence:
    class_origin: DocumentsController
    line_origin: 4
    class_target: Document
    module_origin: controllers
    module_target: documents
    message: module controllers is not allowed to depend on module documents
- absence:
    class_origin: DiagnosticsMailer
    line_origin: 
    class_target: 
    module_origin: mailers
    module_target: actionmailer
    message: not implement a required module
